viabilityCharts {ppiStats} | R Documentation

## A function to create summary bar charts for directed graphs

### Description

This function takes a list of directed graph objects and creates a summary of the relative viable baits, viable prey, and viable bait/prey of each data graph.

### Usage

    viabilityCharts(dataGraphs, total=6466)

### Arguments

`dataGraphs` | A named list of directed graphNELs
`total` | The total number of potential nodes (i.e. proteins) that could have been queried.

### Value

A barchart object. Each item in the bar-chart represents one experimental data graph (set).

### Author(s)

T Chiang

### Examples

    graphs = lapply(bpExperimentNames, function(x) get(x))
    names(graphs) = bpExperimentNames
    viabilityCharts(graphs)

[Package ppiStats version 1.8.0 Index]